org.apache.ignite.startup

## Class BasicWarmupClosure

- java.lang.Object
- - org.apache.ignite.startup.BasicWarmupClosure

- All Implemented Interfaces:
    Serializable, IgniteInClosure<IgniteConfiguration>

      public class BasicWarmupClosure
      extends Object
      implements IgniteInClosure<IgniteConfiguration>

  Basic warm-up closure which warm-ups cache operations.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DFLT_GRID_CNT` Default grid count to warm up.
    `static int` | `DFLT_ITERATION_CNT` Default iteration count per thread.
    `static int` | `DFLT_KEY_RANGE` Default key range.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicWarmupClosure()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `apply(IgniteConfiguration gridCfg)` Closure body.
    `int` | `getDiscoveryPort()` Gets discovery port for warmup.
    `int` | `getGridCount()` Gets number of grids to start and run warmup.
    `int` | `getIterationCount()` Gets iteration count for warmup.
    `int` | `getKeyRange()` Gets key range.
    `int` | `getThreadCount()` Gets thread count for warmup.
    `String[]` | `getWarmupMethods()` Gets warmup methods to use for cache warmup.
    `void` | `setDiscoveryPort(int discoveryPort)` Sets discovery port for warmup.
    `void` | `setGridCount(int gridCnt)` Sets number of grids to start and run the warmup.
    `void` | `setIterationCount(int iterCnt)` Sets iteration count for warmup.
    `void` | `setKeyRange(int keyRange)` Sets key range.
    `void` | `setThreadCount(int threadCnt)` Sets thread count for warmup.
    `void` | `setWarmupMethods(String... warmupMethods)` Sets warmup methods to use for cache warmup.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DFLT_GRID_CNT

          public static final int DFLT_GRID_CNT

      Default grid count to warm up.
      See Also:
        Constant Field Values

    - #### DFLT_ITERATION_CNT

          public static final int DFLT_ITERATION_CNT

      Default iteration count per thread.
      See Also:
        Constant Field Values

    - #### DFLT_KEY_RANGE

          public static final int DFLT_KEY_RANGE

      Default key range.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BasicWarmupClosure

          public BasicWarmupClosure()

  - ### Method Detail

    - #### getGridCount

          public int getGridCount()

      Gets number of grids to start and run warmup.
      Returns:
        Number of grids.

    - #### setGridCount

          public void setGridCount(int gridCnt)

      Sets number of grids to start and run the warmup.
      Parameters:
        `gridCnt` - Number of grids.

    - #### getWarmupMethods

          public String[] getWarmupMethods()

      Gets warmup methods to use for cache warmup.
      Returns:
        Warmup methods.

    - #### setWarmupMethods

          public void setWarmupMethods(String... warmupMethods)

      Sets warmup methods to use for cache warmup.
      Parameters:
        `warmupMethods` - Array of warmup methods.

    - #### getThreadCount

          public int getThreadCount()

      Gets thread count for warmup.
      Returns:
        Thread count.

    - #### setThreadCount

          public void setThreadCount(int threadCnt)

      Sets thread count for warmup.
      Parameters:
        `threadCnt` - Thread count.

    - #### getIterationCount

          public int getIterationCount()

      Gets iteration count for warmup.
      Returns:
        Iteration count.

    - #### setIterationCount

          public void setIterationCount(int iterCnt)

      Sets iteration count for warmup.
      Parameters:
        `iterCnt` - Iteration count for warmup.

    - #### getKeyRange

          public int getKeyRange()

      Gets key range.
      Returns:
        Key range.

    - #### setKeyRange

          public void setKeyRange(int keyRange)

      Sets key range.
      Parameters:
        `keyRange` - Key range.

    - #### getDiscoveryPort

          public int getDiscoveryPort()

      Gets discovery port for warmup.
      Returns:
        Discovery port.

    - #### setDiscoveryPort

          public void setDiscoveryPort(int discoveryPort)

      Sets discovery port for warmup.
      Parameters:
        `discoveryPort` - Discovery port.

    - #### apply

          public void apply(IgniteConfiguration gridCfg)

      Closure body.
      Specified by:
        `apply` in interface `IgniteInClosure<IgniteConfiguration>`
      Parameters:
        `gridCfg` - Closure argument.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022